package descartes.kieker4dql.dqlconnector.structures.identifier;

public abstract class AbstractIdentifier {
	private String hostID;
	
	public String getHostID() {
		return hostID;
	}
	
	public void setHostID(String hostID) {
		this.hostID = hostID;
	}
	
	public String toString(){
		return "@host: " + hostID;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((hostID == null) ? 0 : hostID.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		AbstractIdentifier other = (AbstractIdentifier) obj;
		if (hostID == null) {
			if (other.hostID != null)
				return false;
		} else if (!hostID.equals(other.hostID))
			return false;
		return true;
	}


}
